#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_SU2ID(void)
{
#if (PRO_SU2ID)
    SetTelltalePos("Turn Left",         LeftTurn);
    SetTelltalePos("Rear Fog",           RearFog);
    SetTelltalePos("Front Fog",         FrontFog);  
    SetTelltalePos("High Beam",         HighBeam);
    SetTelltalePos("Tail Lamp",         TailLamp); 
    SetTelltalePos("Turn Right",       RightTurn);
    SetTelltalePos("Low Beam",           LowBeam);    
    SetTelltalePos("DPF/GPF",             DpfGpf); 
    SetTelltalePos("TPMS",                  Tpms); 
    SetTelltalePos("Immobilizer",    Immobilizer);
    SetTelltalePos("IceWarning",      IceWarning);
    SetTelltalePos("HoodOPen",   DoorOpen_1_4_11);
    SetTelltalePos("Oil Pressure",     OilPressure);
    SetTelltalePos("Battery Charge",   BatteryCharge); 
    SetTelltalePos("MDPS",                  Mdps); 
    SetTelltalePos("Seat Belt",         SeatBelt);
    SetTelltalePos("Air Bag",               AirBag);
    SetTelltalePos("Parking Break",    ParkingBreak);
    SetTelltalePos("Check Engine",     CheckEngine);
    SetTelltalePos("KEYOUT",                KEYOUT);
    SetTelltalePos("LedLampFail",      LedLampFail);
    SetTelltalePos("DoorOpen",     DoorOpen_1_4_20);
    SetTelltalePos("TrunkOpen",     DoorOpen_1_4_9);
    SetTelltalePos("EPB",                      EPB);
    SetTelltalePos("AutoHoldWhite",  AutoHoldWhite);
    SetTelltalePos("AutoHoldGreen",  AutoHoldGreen);
    SetTelltalePos("AutoHoldYellow",AutoHoldYellow);
    SetTelltalePos("ABS",                      ABS);  
    SetTelltalePos("ESC",                      ESC);
    SetTelltalePos("ESC OFF",               EscOff);
    SetTelltalePos("Over Speed",         OverSpeed); 
    SetTelltalePos("Ecall",                  Ecall); 
    SetTelltalePos("AllLedOpen",        AllLedOpen);
    SetTelltalePos("LOW FUEL",         DMS_RestoreDefault);
#endif
}


